-- Tool Export Plugin

function OnShowOptions(event)
    event:GetTextCtrl():AppendText("SheetCam Tool Import Plugin \n")
end

evtHdlr = wx.wxEvtHandler()

function OnStart()

print("Importing Tools")




for line in io.lines("C:\\Mach3\\Toolinfo.txt") do 

     Tn,Tdi,Tde = line:match("^%s*(.-),%s*(.-),%s*(.-)$")
    
if Tn == nil then
print("End of Data , Tool Import Complete")
return
end

Tn = tonumber(Tn)

Tname = (Tdi..", "..Tde)

parts=sc.Parts.Get()
tools=parts.tools

tool = sc.MillTool() --create a new Mill Tool
tool.name:op_set(Tname)
tool.number:op_set(Tn)
tool.diameter:op_set(tostring(Tdi)) 
tool.fluteLength:op_set(0)
tool.feedRate:op_set(0)
tool.plungeRate:op_set(0) 
--tool.RampAngle:op_set(0)
tool.spindleSpeed:op_set(0)

tools:Add(tool)
--You also need this after creating tools. It updates the GUI.
parts:SetDirty(sc.DIRTY_TOOLS)
 
end

 
end




-------------------------------------------------------------------
function main()

   --add a menu to the main application
   local app = sc.scApp();
   local bitmapPath = sc.GetMyPath()

   app:SetMenuPath("/&Plugins")
   ID_START = app:AddMenu(evtHdlr,"Plugins","Tool Import",_("ToolImport "),bitmapPath.."",sc.ITEM_NORMAL)
   app:UpdateBars() --regenerate toolbars
   evtHdlr:Connect(ID_START, sc.wxEVT_ACTION, OnStart)
   cfg = wx.wxConfigBase.Get(false)
end



main()
